Summary: A multi-threaded FTP client for the X Window System
Name: gftp
Version: 2.0.19
Release: 1
License: GPL
Group: Applications/Internet
Url: http://www.gftp.org/

Source0: %{name}-%{version}.tar.bz2

Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-%{version}-fix-broken-bookmarks.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.8.3
BuildRequires: glib2-devel >= 2.8.1
BuildRequires: openssl-devel >= 0.9.8
BuildRequires: readline-devel >= 5.2-3

Requires: gettext
Requires: gtk2 >= 2.8.3
Requires: glib2 >= 2.8.1
Requires: openssl >= 0.9.8
Requires: readline >= 5.2-3

%description
gFTP is a multi-threaded FTP client for the X Window System. gFTP
supports simultaneous downloads, resumption of interrupted file
transfers, file transfer queues to allow downloading of multiple
files, support for downloading entire directories/subdirectories, a
bookmarks menu to allow quick connection to FTP sites, caching of
remote directory listings, local and remote chmod, drag and drop, a
connection manager and much more.

Install gftp if you need a graphical FTP client.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0
%patch1 -p1


%build
# we need this compiler for gtk2
export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-gtk20 \
    --enable-textport \
    --enable-ssl

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
cp ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

 
%files
%defattr(-,root,system,-)
%doc ChangeLog COPYING README TODO docs/USERS-GUIDE
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
/usr/bin/*


%changelog
* Wed Jun 02 2010 Michael Perzl <michael@perzl.org> - 2.0.19-1
- updated to version 2.0.19, built against gtk2

* Fri Aug 17 2007 Michael Perzl <michael@perzl.org> - 2.0.18-1
- first version for AIX5L V5.1 and higher
